Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-npmlog
Version:        2.0.0
Release:        alt1_8
Summary:        Logger for npm
BuildArch:      noarch

License:        BSD
URL:            https://github.com/isaacs/npmlog
Source0:        http://registry.npmjs.org/npmlog/-/npmlog-%{version}.tgz

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
The logger utility that npm uses.

This logger is very basic. It does the logging for npm. It supports custom
levels and colored output.

%prep
%setup -q -n package

%nodejs_fixdep ansi ^0.3.0

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/npmlog
cp -pr package.json log.js %{buildroot}%{nodejs_sitelib}/npmlog

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/npmlog
%doc README.md example.js
%doc --no-dereference LICENSE

%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_8
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_2
- fc import

* Mon Jul 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_1
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_1
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_3
- initial import

